This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 73710 - /sbin/ifup uses ipchains with kernel 2.4.18
/sbin/ifup uses ipchains with kernel 2.4.18
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-09 03:43 EDT by G.Wolfe Woodbury
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-09 15:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2002-09-09 03:43:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
ipchains use generates "incompatible with this kernel", but /sbin/ifup uses the
ipchains command to query firewall status.  I suspect that this is a phase error
in releasing. kernel 2.4.18-4;initscripts-6.67-1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.examine the /sbin/ifup script.
2.
3.
	

Additional info:
Comment 1 G.Wolfe Woodbury 2002-09-09 03:55:55 EDT
kernel-2.4.18-10 package also has this problem.
Comment 2 Bill Nottingham 2002-09-09 15:38:42 EDT
You may need to load the ipchains module first. Have you already loaded iptables?
Comment 3 G.Wolfe Woodbury 2002-09-09 22:11:44 EDT
My bad.  Hadn't loaded the ipchains.o module.  Thanks for the tip

Note You need to log in before you can comment on or make changes to this bug.